# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "words_and_idioms/version"

Gem::Specification.new do |spec|
  spec.name          = "words_and_idioms"
  spec.version       = WordsAndIdioms::VERSION
  spec.authors       = ["skmcloughlin"]
  spec.email         = ["skmcloughlin@gmail.com"]

  spec.summary       = %q{Retrieve a definition of a SAE word or browse a list of current idioms.}
  spec.description   = %q{This gem allows the user to input a word and retrieve a definition. It has a built-in spell-checker. It can also browse a list of newly-created idioms and expressions.}
  spec.homepage      = "https://github.com/skmcloughlin/WordsAndIdiomsGem"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = 'https://rubygems.org'
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "nokogiri"
  spec.add_development_dependency "colorize"

end
